Installing Dictionary Fails

MO
MOApp
Posts: 1
Joined: Tue Jul 22, 2014 8:15 pm
Platform: Linux

Tue Jul 22, 2014 8:22 pm Post

Installation of latest version under Ubuntu 14 worked fine but even after installing libaspell-de I can't install additional dictionaries. It downloads to 100% and then aborts with fail message.

Retried, reinstalled etc - but nothing will do the trick. Is there a way to install the German dictionary by hand?

Thanks in advance.

Me
Mercurania
Posts: 2
Joined: Sun Oct 12, 2014 7:18 pm
Platform: Linux + Windows

Sun Oct 12, 2014 7:23 pm Post

I solved it chown-ing dirs and files to my own user, not root. I have several installed dictionaries in Scrivener.

se
setherd
Posts: 20
Joined: Tue Apr 08, 2014 7:00 am
Platform: Mac, Win + Linux

Sat Oct 18, 2014 1:08 pm Post

I use Linux Mint and can't get dictionaries to work.
Could you post details of what you did to make it work?

thank you,
Seth

Ty
TyrannisHawk
Posts: 1
Joined: Tue Jan 20, 2015 8:42 pm
Platform: Linux

Tue Jan 20, 2015 8:47 pm Post

Here's the quick & dirty solution (but it works).

Run Scrivener as root.

Code: Select all

$ gksudo scrivener

Create a blank project in your home folder and download the dictionary you want.
Close Scrivener.
Clean up the mess.

Code: Select all

$ sudo -i
# rm ~/*.scriv
# rm -rf ~/.config/Scrivener/


It would be great if the Dev's would create a solution that wouldn't require running Scrivener as root, but for the time being, at least we can work around the issue.
Best solution IMHO is using the internal aspell dictionaries (if they have been installed) and setting libaspell-dev as a dependency.

fi
fireraven
Posts: 26
Joined: Fri Sep 19, 2014 1:47 am
Platform: Linux + Windows

Fri Jan 30, 2015 7:28 pm Post

Actually, their is a solution it's the same bit that you need for the spellcheck function, at least it was for me. After you've installed all the appropriate libaspell libraries you should be good to go with installing whatever dictionaries you want without giving Scrivener root access.

BR
BRPol
Posts: 1
Joined: Fri Feb 06, 2015 11:55 pm
Platform: Linux

Sat Feb 07, 2015 12:40 am Post

This problem exists because the "Aspell/dict" directory is not world writeable. In my Archlinux installation this is located in "/opt/scrivener/bin/Aspell/dict". A quick and dirty approach is to temporarily change the permissions from a virtual console, install the dictionary, change the owner:group of the loaded files to "root:root", and remove the changed permissions on the "dict" directory again.

Code: Select all

$ cd opt/scrivener/bin/Aspell
$ ls -l
$ sudo chmod a+w dict
$ ls -l


The "ls -l" commands will show the permissions of the "dict" directory among others. There should be a

Code: Select all

drwxr-xr-x 2 root root 4,0K  7. Feb 00:45 dict

before the change and afterwards a

Code: Select all

drwxrwxrwx 2 root root 4,0K  7. Feb 00:45 dict


where the date field of course will be different.

Now go to the scrivener options and install the dictionaries you want. This should succeed now. Then change into the "dict" directory and check for those entries not having "root:root" owners. In my case I installed the german dictionaries featuring a "de_DE" or "de_CH" in the name. So a wildcard could be used to change the owners to "root:root again.

Code: Select all

$ cd dict
$ ls -l *de_*
$ sudo chown root:root *de_*
$ ls -l


Make sure all files will be owned by "root:root". If so, change back to the parent directory and give the "dict" directory its proper permissions back.

Code: Select all

$ cd ..
$ chmod a-w dict
$ chmod u+w dict
$ ls -l


Now you should be able to select your dictionary in the scrivener options dialog.

 

 

cron